Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Resume subscription estimate

Generates an estimate for the 'resume subscription' operation. This is similar to the Resume a subscription API, but the subscription will not be resumed. Only an estimate for this operation is created.

In the response,

  • estimate.subscription_estimate has the subscription details.

estimate.invoice_estimate has details of the invoice that will be generated immediately. This will not be present if no immediate invoice is generated for this operation. This will happen for in-term resumption++ .

++What is an "in-term resumption"?

An "in-term resumption" is when the resumption happens within the billing term of the subscription.

estimate.next_invoice_estimate has details of the invoice that will be generated during the next billing date of this subscription. This will be present only if no immediate invoice is generated during this operation (scenario mentioned above) and this subscription has next billing.

The generated invoice_estimate/next_invoice_estimate will include all the balances - Promotional Credits , Refundable Credits, and Excess Payments - if any.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/resume_subscription_estimate

Input Parameters

resume_option
optional, enumerated string

List of options to resume the subscription.

Enum Values
immediately

Resume immediately

specific_date

Resume on a specific date

charges_handling
optional, enumerated string

Applicable when charges get added during this operation and resume_option is set as 'immediately'. Allows to raise invoice immediately or add them to unbilled charges.

Enum Values
invoice_immediately

Invoice immediately

add_to_unbilled_charges

Add to unbilled charges

subscription
Parameters for subscription
pass parameters as subscription[<param name>]

Returns

Estimate object
Resource object representing estimate